
package com.gekko_holding.webservice.v2_4;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for bookedOffer complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="bookedOffer">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="code" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="bookedRooms">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="bookedRoom" type="{http://webservice.gekko-holding.com/v2_4}bookedRoom" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "bookedOffer", propOrder = {
    "code",
    "bookedRooms"
})
public class BookedOffer {

    @XmlElement(required = true)
    protected String code;
    @XmlElement(required = true)
    protected BookedOffer.BookedRooms bookedRooms;

    /**
     * Gets the value of the code property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCode() {
        return code;
    }

    /**
     * Sets the value of the code property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCode(String value) {
        this.code = value;
    }

    /**
     * Gets the value of the bookedRooms property.
     * 
     * @return
     *     possible object is
     *     {@link BookedOffer.BookedRooms }
     *     
     */
    public BookedOffer.BookedRooms getBookedRooms() {
        return bookedRooms;
    }

    /**
     * Sets the value of the bookedRooms property.
     * 
     * @param value
     *     allowed object is
     *     {@link BookedOffer.BookedRooms }
     *     
     */
    public void setBookedRooms(BookedOffer.BookedRooms value) {
        this.bookedRooms = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="bookedRoom" type="{http://webservice.gekko-holding.com/v2_4}bookedRoom" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "bookedRoom"
    })
    public static class BookedRooms {

        protected List<BookedRoom> bookedRoom;

        /**
         * Gets the value of the bookedRoom property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the bookedRoom property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getBookedRoom().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link BookedRoom }
         * 
         * 
         */
        public List<BookedRoom> getBookedRoom() {
            if (bookedRoom == null) {
                bookedRoom = new ArrayList<BookedRoom>();
            }
            return this.bookedRoom;
        }

    }

}
