
package com.gekko_holding.webservice.v2_4;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for cancellationPolicyResponse complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="cancellationPolicyResponse">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="cancellationFeesPolicy" type="{http://webservice.gekko-holding.com/v2_4}cancellationFeesPolicy" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="voucherObservation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="offerCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="offerPrice" type="{http://webservice.gekko-holding.com/v2_4}offerPrice"/>
 *         &lt;element name="acceptedCreditCards" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="creditCardType" type="{http://webservice.gekko-holding.com/v2_4}acceptedCreditCardBean" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "cancellationPolicyResponse", propOrder = {
    "cancellationFeesPolicy",
    "voucherObservation",
    "offerCode",
    "offerPrice",
    "acceptedCreditCards"
})
@XmlRootElement(name ="CancellationPolicyResponse")
public class CancellationPolicyResponse {

    @XmlElement(nillable = true)
    protected List<CancellationFeesPolicy> cancellationFeesPolicy;
    protected String voucherObservation;
    @XmlElement(required = true)
    protected String offerCode;
    @XmlElement(required = true)
    protected OfferPrice offerPrice;
    protected CancellationPolicyResponse.AcceptedCreditCards acceptedCreditCards;

    /**
     * Gets the value of the cancellationFeesPolicy property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the cancellationFeesPolicy property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCancellationFeesPolicy().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CancellationFeesPolicy }
     * 
     * 
     */
    public List<CancellationFeesPolicy> getCancellationFeesPolicy() {
        if (cancellationFeesPolicy == null) {
            cancellationFeesPolicy = new ArrayList<CancellationFeesPolicy>();
        }
        return this.cancellationFeesPolicy;
    }

    /**
     * Gets the value of the voucherObservation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVoucherObservation() {
        return voucherObservation;
    }

    /**
     * Sets the value of the voucherObservation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVoucherObservation(String value) {
        this.voucherObservation = value;
    }

    /**
     * Gets the value of the offerCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOfferCode() {
        return offerCode;
    }

    /**
     * Sets the value of the offerCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOfferCode(String value) {
        this.offerCode = value;
    }

    /**
     * Gets the value of the offerPrice property.
     * 
     * @return
     *     possible object is
     *     {@link OfferPrice }
     *     
     */
    public OfferPrice getOfferPrice() {
        return offerPrice;
    }

    /**
     * Sets the value of the offerPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link OfferPrice }
     *     
     */
    public void setOfferPrice(OfferPrice value) {
        this.offerPrice = value;
    }

    /**
     * Gets the value of the acceptedCreditCards property.
     * 
     * @return
     *     possible object is
     *     {@link CancellationPolicyResponse.AcceptedCreditCards }
     *     
     */
    public CancellationPolicyResponse.AcceptedCreditCards getAcceptedCreditCards() {
        return acceptedCreditCards;
    }

    /**
     * Sets the value of the acceptedCreditCards property.
     * 
     * @param value
     *     allowed object is
     *     {@link CancellationPolicyResponse.AcceptedCreditCards }
     *     
     */
    public void setAcceptedCreditCards(CancellationPolicyResponse.AcceptedCreditCards value) {
        this.acceptedCreditCards = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="creditCardType" type="{http://webservice.gekko-holding.com/v2_4}acceptedCreditCardBean" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "creditCardType"
    })
    public static class AcceptedCreditCards {

        protected List<AcceptedCreditCardBean> creditCardType;

        /**
         * Gets the value of the creditCardType property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the creditCardType property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCreditCardType().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link AcceptedCreditCardBean }
         * 
         * 
         */
        public List<AcceptedCreditCardBean> getCreditCardType() {
            if (creditCardType == null) {
                creditCardType = new ArrayList<AcceptedCreditCardBean>();
            }
            return this.creditCardType;
        }

    }

}
